Skip to main content
POST
/
v1
/
projects
/
{project_id}
/
indexes
/
{index_id}
/
search
Search Index
curl --request POST \
  --url https://api.example.com/v1/projects/{project_id}/indexes/{index_id}/search \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --header 'x-selected-account-id: <api-key>' \
  --data '
{
  "query": "<string>",
  "top_k": 5,
  "current_node_id": "<string>"
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.gp.scale.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

API key for authentication

x-selected-account-id
string
header
required

Selected Account ID

Path Parameters

project_id
string
required
index_id
string
required

Body

application/json

Request body for searching an index.

query
string
required

Search query

top_k
integer
default:5

Number of results to return

current_node_id
string | null

If specified, only search within this node's subtree

Response

Successful Response